
QGIS Application - Bug report #12431

QGIS crashes when expression using modulo 0 is used in expression dialog

2015-03-23 09:04 AM - Augustin Roche

Status: Closed

Priority: Normal

Assignee:

Category: Expressions

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 20602

Description

In expression dialog, when you type something like "foo % 0", QGIS crashes.

Tested with version 2.8.1, on Windows 7 64

Associated revisions

Revision 9596f97d - 2015-03-23 08:07 PM - Jürgen Fischer

expressions: fix modulo 0 crashes (fixes #12431)

Revision 2e0cba56 - 2015-03-25 06:38 PM - Jürgen Fischer

expressions: fix modulo 0 crashes (fixes #12431)

(cherry picked from commit 9596f97db605421eabe6643a10f25db8a7747df9)

History

#1 - 2015-03-23 12:08 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"9596f97db605421eabe6643a10f25db8a7747df9".
